Subject: Re: bug#21422: 25.0.50; apropos-library on libraries using cl-def{generic,method} fails

From: Dmitry Gutov <[email-masked]>
Date: Fri, 8 Jan 2016 02:35:27 +0300

On 01/07/2016 11:06 PM, Eli Zaretskii wrote:

>>> I came across this because doing M-. on a function defined with
>>> cl-defgeneric and cl-defmethod doesn't go to the definition, just the
>>> top of the library, so apropos-library was my backup. I don't know if
>>> the xref behavior should be a separate report.

FWIW, this has worked for some time now.

M-x describe-function is another way to find the generic definitions.

> IMO, we should only do that if it's practical, i.e. if there's someone
> who would work on fixing that.
>
> I'd also suggest to have bug#22294 be the release blocker, if we have
> a volunteer to work on it.

(Not a volunteer on either.) I've pushed a minor fix for this bug, to 
avoid the error. The description buffer now shows duplicates, though, 
instead of proper info about specialized methods.